## nodejs 6.11.4~dfsg

=== debian/changelog ===
nodejs (6.11.4~dfsg-1ubuntu1) artful; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Revert upstream's fix for openssl 1.0.2h, since we still have
      1.0.2g in Ubuntu.
    - Add debian/patches/openssl/fix_sslv3_test.patch: properly handle how
      SSLv3 was disabled in openssl.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 06 Oct 2017 16:30:03 -0500

nodejs (6.11.4~dfsg-1) unstable; urgency=medium

  * New upstream version 6.11.4~dfsg
  * Testsuite field is no longer needed
  * Standards-Version 4.1.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Oct 2017 13:33:00 +0200

nodejs (6.11.3~dfsg-1) unstable; urgency=medium

  * New upstream version 6.11.3~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Sep 2017 02:21:08 +0200

nodejs (6.11.2~dfsg-5) unstable; urgency=medium

  * Section javascript instead of web
  * Mark parallel/test-debug-args as flaky on mips64el

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Sep 2017 17:26:56 +0200

nodejs (6.11.2~dfsg-4) unstable; urgency=medium

  * Revert "Switch to g++-6, work around FTBFS on mips64el",
    it got an Extra-Depends on a fixed gcc version.
  * Explain what about node / nodejs in README.Debian

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Sep 2017 10:10:58 +0200

nodejs (6.11.2~dfsg-3ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Revert upstream's fix for openssl 1.0.2h, since we still have
      1.0.2g in Ubuntu.
    - Add debian/patches/openssl/fix_sslv3_test.patch: properly handle how
      SSLv3 was disabled in openssl.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 29 Aug 2017 18:16:14 -0500

nodejs (6.11.2~dfsg-3) unstable; urgency=medium

  * README.Debian explains armel/powerpc are not supported.
    Closes: #872585.
  * Build nodejs-doc, Closes: #872488.
    Thanks to Felipe Sateler.
  * Build using g++-6 to work around FTBFS on mips64el.
    See: #871514.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 28 Aug 2017 17:16:03 +0200

nodejs (6.11.2~dfsg-2ubuntu1) artful; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Revert upstream's fix for openssl 1.0.2h, since we still have
      1.0.2g in Ubuntu.
    - Add debian/patches/openssl/fix_sslv3_test.patch: properly handle how
      SSLv3 was disabled in openssl.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Aug 2017 23:26:25 -0500

nodejs (6.11.2~dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * s_client_tls12.patch skips test relying on -tls1_1 openssl
    client option, and patch another test to remove -tls1 option.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 15 Aug 2017 22:37:50 +0200

nodejs (6.11.2~dfsg-1) experimental; urgency=medium

  * New upstream version 6.11.2~dfsg
  * Standards-Version 4.0.0
  * Inherit Priority from source
  * Drop nodejs-dbg, b-d debhelper 9.20160114 to get dbgsym
  * Drop kfreebsd patch, it did not build anyway
  * Restore /usr/bin/node following CTTE #862051.
    Keep /usr/bin/nodejs symlink indefinitely.
    Replaces and Conflicts nodejs-legacy.
    Closes: #754462.
  * Skip test-zlib-failed-init.js for it relies on zlib 1.2.11

 -- Jérémy Lal <kapouer@melix.org>  Tue, 01 Aug 2017 18:40:46 +0200

nodejs (6.11.1~dfsg-1) experimental; urgency=medium

  * New upstream version 6.11.1~dfsg
  * Priority: optional on source package (Closes: #864735)

  [ Upstream ]
  * Security fix: Constant Hashtable Seeds (CVE pending)
    Closes: #868162.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Jul 2017 00:40:24 +0200

nodejs (6.11.0~dfsg-1) experimental; urgency=medium

  * New upstream version 6.11.0~dfsg (Closes: #864605)
  * Restore upstream code that finds /usr prefix
  * Unapply ssl root certs patch implemented upstream,
    now configured by --openssl-use-def-ca-store
  * Build-Depend libssl1.0-dev
  * Keep ca-certificates in build-dependencies for running tests
  * Add ca-certificates to autopkgtest depends. (Closes: #855018)
  * Recommends ca-certificates for nodejs package
  * Patch to pass test with openssl 1.1.0 cli
  * Patch test-module-loading-globalpaths as part of nodejs rename
  * Workaround lintian override not matching source-is-missing path

 -- Jérémy Lal <kapouer@melix.org>  Mon, 12 Jun 2017 10:07:10 +0200

nodejs (6.10.2~dfsg-1) experimental; urgency=medium

  * New upstream version 6.10.2~dfsg
  * Fix memory leak if certificate is revoked (introduced in 6.10.1)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 04 Apr 2017 16:43:22 +0200

nodejs (6.10.1~dfsg-1) experimental; urgency=medium

  * New upstream version 6.10.1~dfsg
  * Fix how control file is generated for build profile
  * Update 2014_donotinclude_root_certs.patch to hard-code
    NODE_EXTRA_CA_CERTS to /etc/ssl/certs/ca-certificates.crt
    This is safer to maintain and safer to use since it disables
    that undocumented env var setting.
    Also expect extra ca tests to fail.
  * Add dnt_helper.js Expat license
  * Recommends, Build-Depends ca-certificates
  * Use test-ci-js target now
  * autopkgtest suite depends on ca-certificates

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Apr 2017 08:45:04 +0200

nodejs (6.9.3~dfsg-1) experimental; urgency=medium

  * New upstream version 6.9.3~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Jan 2017 10:14:15 +0100

nodejs (6.9.2~dfsg-2) experimental; urgency=medium

  * Fix recursive dependency on node-yamlish/marked (Closes: #850082)
    Thanks to Tom Parker <palfrey@tevp.net>.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 03 Jan 2017 23:53:50 +0100

nodejs (6.9.2~dfsg-1) experimental; urgency=medium

  * New upstream version 6.9.2~dfsg
  * Build-Depend libssl1.0-dev (Closes: #828457)
  * nodejs Recommends ca-certificates (Closes: #841981)
  * Skip two tests failing only in autopkgtest
  * Override workaround for source-is-missing (See: #848825)
  * Drop package-needs-versioned-debhelper-build-depends override.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 00:42:16 +0100

nodejs (6.9.1~dfsg-1) experimental; urgency=medium


