=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*v(.*)\//http\:\/\/nodejs\.org\/dist\/v$1\/node\-v$1\.tar\.gz/,\
filenamemangle=s/.*v(.*)\/$/nodejs-$1\.tar\.gz/,\
dversionmangle=s/~dfsg\d*$//,\
repacksuffix=~dfsg \
http://nodejs.org/dist v(6\.\d+\.\d+)/
