=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: nodejs
-Section: web
+Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- licensecheck,
  debhelper (>=9.20160114),
  dh-buildinfo,
  binutils,
@@ -18,23 +16,24 @@
  zlib1g-dev,
  libicu-dev,
  libc-ares-dev (>= 1.11.0),
+ libnghttp2-dev,
+ libhttp-parser-dev,
  libkvm-dev [kfreebsd-any],
  gyp (>= 0.1~svn1773),
  ca-certificates,
  python,
- libssl1.0-dev (>= 1.0.2),
- libuv1-dev
-Build-Depends-Indep: node-yamlish,
+ libssl-dev (>= 1.0.2),
+ libuv1-dev (>= 1.15.0)
+Build-Depends-Indep: node-js-yaml,
  node-marked
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: http://nodejs.org/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/nodejs.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nodejs.git
 
 Package: nodejs-dev
 Section: devel
-Priority: extra
-Architecture: any
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel ppc64 ppc64el s390x
 Depends: ${cdbs:Depends},
  ${misc:Depends},
  nodejs (= ${binary:Version})
@@ -49,7 +48,7 @@
  This package is needed to build plugins.
 
 Package: nodejs
-Architecture: any
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel ppc64 ppc64el s390x
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${cdbs:Provides}
