=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # recent OpenSSL needed because https://github.com/nodejs/node/issues/589
 ssl-minver = 1.0.2
 
+# uv minimum of 1.15.0
+uv-minver = 1.15.0
+
 # source equivalent of nodejs -e 'console.log(process.versions.modules)'
 abi := $(shell awk '/^\#define NODE_MODULE_VERSION/ {print $$3}' src/node_version.h)
 abi-deps = nodejs-dev (>= $(DEB_VERSION)~), nodejs-abi-$(abi)
@@ -17,17 +20,20 @@
 #  TODO: Drop when adopted in cdbs
 CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper (>=9.20160114)
 
+# Do not install licensecheck please
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check = 
+
 # Needed by upstream build
 #  * recent gyp needed to build using flock
 bdeps = binutils, openssl (>= $(ssl-minver)), pkg-config
-bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev, libc-ares-dev (>= 1.11.0)
+bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev, libc-ares-dev (>= 1.11.0), libnghttp2-dev, libhttp-parser-dev
 bdeps +=, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
 # Needed for tests
 bdeps +=, ca-certificates
 
 # Needed by upstream build and binary development package
-deps = python, libssl1.0-dev (>= $(ssl-minver))
-deps +=, libuv1-dev
+deps = python, libssl-dev (>= $(ssl-minver))
+deps +=, libuv1-dev (>= $(uv-minver))
 
 CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
 CDBS_DEPENDS_nodejs-dev = $(deps)
@@ -38,7 +44,17 @@
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(deps/v8/benchmarks/v8-logo\.png|test/fixtures/person\.jpg.*|test/fixtures/sample\.png|test/fixtures/google_ssl_hello\.bin|test/fixtures/test_cert\.pfx|src/res/node\.ico|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_CONFIGURE_NORMAL_ARGS =
-DEB_CONFIGURE_EXTRA_FLAGS = --without-npm --shared-openssl --shared-zlib --shared-libuv --shared-cares --with-intl=system-icu --prefix=/usr --openssl-use-def-ca-store
+DEB_CONFIGURE_EXTRA_FLAGS = --without-npm \
+--without-snapshot \
+--shared-openssl \
+--shared-zlib \
+--shared-cares \
+--shared-nghttp2 \
+--shared-http-parser \
+--with-intl=system-icu \
+--prefix=/usr \
+--openssl-use-def-ca-store \
+--shared-libuv
 
 # map HOST ARCH AND OS, and if unknown let upstream guess
 
@@ -85,10 +101,10 @@
 # use r2, which is the supported variant for these architectures
 # https://lists.debian.org/debian-mips/2016/07/msg00000.html
 ifeq (mipsel, $(DEB_HOST_ARCH))
-DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2
+DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2 --with-mips-fpu-mode=fpxx
 endif
 ifeq (mips, $(DEB_HOST_ARCH))
-DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2
+DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2 --with-mips-fpu-mode=fpxx
 endif
 
 # mips32r1 or greater, detected at runtime
@@ -122,6 +138,15 @@
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp
 DEB_MAKE_CLEAN_TARGET = clean
+ifeq ($(DEB_PARALLEL_JOBS),)
+JOBS := 1
+else ifeq ($(SCHROOT_USER),"buildd")
+JOBS := 1
+else
+JOBS := $(DEB_PARALLEL_JOBS)
+endif
+export JOBS
+DEB_MAKE_BUILD_TARGET = build
 
 #  relax regression tests when targeted experimental suite
 export HOME = $(CURDIR)/tmp
@@ -133,10 +158,16 @@
 exp-relax-check := $(if $(shell dpkg-parsechangelog | grep -x 'Distribution: \(experimental\|UNRELEASED\)'),-i)
 DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test-ci-js
 
+# build -fPIC
+CFLAGS+=-fPIC
+CPPFLAGS+=-fPIC
 # hardening gyp
+CFLAGS+=-g
+CPPFLAGS+=-g
 CXXFLAGS+=$(CPPFLAGS)
+export CPPFLAGS
 export CXXFLAGS
-export LDFLAGS
+export CFLAGS
 
 # disable DNS requests during tests
 export RES_OPTIONS = attempts:0
