## nodejs 8.9.4

=== debian/changelog ===
nodejs (8.9.4-1~mx15+1) mx; urgency=medium

  * New release, build for MX Linux.
  * Bump debhelper compat to 9.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Feb 2018 11:08:03 -0800

nodejs (8.4.0-1nodesource1~stretch1) stretch; urgency=low

  * https://nodejs.org/en/blog/release/v8.4.0/

 -- NodeSource <gpg@nodesource.com>  Tue, 15 Aug 2017 23:42:41 +0000
