=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Chris Lea <chl@nodesource.com>
Uploaders: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>= 9),
 python,
 quilt (>= 0.46-7~),
 binutils,
 libssl-dev (>= 0.9.8),
 pkg-config
Standards-Version: 3.8.4
Homepage: http://nodejs.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
Conflicts: nodejs-dev, npm, nodejs-legacy
Replaces: nodejs-dev (<= 0.8.22), npm (<= 1.2.14), nodejs-legacy
Provides: nodejs-dev, npm, nodejs-legacy
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Package: nodejs-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, nodejs (= ${binary:Version})
Suggests: libv8-dbg (>= 2.2.7)
Description: Node.js event-based server-side javascript engine (debug)
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 .
 This package contains the debugging symbols.
