=== debian/watch ===
version=3
http://nodejs.org/ http://nodejs.org/dist/node-v(.*).tar.gz debian uupdate
